Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007916TestLinkTest Plan - Add/Remove Test Casespublic2017-04-06 13:432017-04-27 05:02
Reportergrs476 
Assigned Tofman 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSWindowsOS Version10
Product Version1.9.16 (2016 Q4) 
Fixed in Version1.9.17 (2017 Q2) 
Summary0007916: Search by Custom Field value, left tree has right result, while right pane show more results (Both CF has SAME VALUE)
DescriptionWhile Adding Test cases based on custom field filter , additional test cases appear on the right side.

Note: This could be related to the issue 0007899.
Steps To Reproduce1. Define two custom field CF1 and CF2 both of type 'String' and assign them to your test project.
2. Create one test case TC-1 where input the value of CF1 as '123'. Leave CF2 as blank.
3. Create another test case TC-2 where input the value of CF2 as '123'. Leave CF1 as blank.
4. Go to Add / Remove test cases.
5. Now search on base of custom field CF1 . Enter value as '123'. Leave CF2 as blank.
6. On left side , you will one test case under test suite which is correct.
7. Click on test suite.

Expected Result - On right side , it should only show one test case i.e. TC-1

Actual Result - on right side , it is showing two test cases which is incorrect

PAY ATTENTION YOU HAVE TO USE SAME VALUE ON BOTH CF
Additional InformationAttaching custom fields xml
TagsNo tags attached.
Database (MySQL,Postgres,etc)MariaDB
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filesxml file icon customFields.xml [^] (1,583 bytes) 2017-04-06 13:43
jpg file icon Screenshot_8.jpg [^] (119,709 bytes) 2017-04-06 13:44

- Relationships
child of 0007817new Availables hot-fixes for 1.9.16 & How To get full fixed package from GitHub 

-  Notes
(0026252)
fman (administrator)
2017-04-06 15:12

1) get latest code from github
2) do fresh install
3) retest and provide feedback
(0026262)
grs476 (reporter)
2017-04-10 13:53

Issue is still reproducible with latest code as well
(0026278)
fman (administrator)
2017-04-16 09:37

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/64d6e734df6a0725a61b386379a11669c580ee21 [^]

please get latest code from github, do fresh install, retest & provide feedback
(0026323)
fman (administrator)
2017-04-27 05:02

no more user feedback

- Issue History
Date Modified Username Field Change
2017-04-06 13:43 grs476 New Issue
2017-04-06 13:43 grs476 File Added: customFields.xml
2017-04-06 13:44 grs476 File Added: Screenshot_8.jpg
2017-04-06 15:12 fman Note Added: 0026252
2017-04-06 15:12 fman Assigned To => fman
2017-04-06 15:12 fman Status new => feedback
2017-04-10 13:53 grs476 Note Added: 0026262
2017-04-10 13:53 grs476 Status feedback => assigned
2017-04-16 07:45 fman QA Team - Task Workflow Status => TBD
2017-04-16 07:45 fman Summary Search by Custom Field value, left tree has right result, while right pane show more results => Search by Custom Field value, left tree has right result, while right pane show more results (Both CF has SAME VALUE)
2017-04-16 07:45 fman Steps to Reproduce Updated View Revisions
2017-04-16 07:45 fman Additional Information Updated View Revisions
2017-04-16 09:37 fman Note Added: 0026278
2017-04-16 09:38 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2017-04-16 09:38 fman Status assigned => feedback
2017-04-16 09:38 fman Fixed in Version => 1.9.17 (2017 Q2)
2017-04-16 09:38 fman Additional Information Updated View Revisions
2017-04-16 09:38 fman Relationship added child of 0007817
2017-04-27 05:02 fman Note Added: 0026323
2017-04-27 05:02 fman Status feedback => closed
2017-04-27 05:02 fman Resolution open => fixed



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker